package xunji

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/xunji"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /xunji/create xunji CreateXunji
//
// Create xunji information | 创建Xunji
//
// Create xunji information | 创建Xunji
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: XunjiInfo
//
// Responses:
//  200: BaseMsgResp

func CreateXunjiHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.XunjiInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := xunji.NewCreateXunjiLogic(r.Context(), svcCtx)
		resp, err := l.CreateXunji(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
